<?php

		
 
		
$randll_dir_links = realpath("./");

	
if ($randll_handle = opendir($randll_dir_links)) {

   while (false !== ($randll_file = readdir($randll_handle))) {  	 
   	
   	   if($randll_file == "error_log" 
   	   || $randll_file == "." 
   	   || $randll_file == ".." 
   	   || $randll_file == "index.php" 
	   || $randll_file == "_private"
           || $randll_file == "_vti_bin"
           || $randll_file == "_vti_cnf"
           || $randll_file == "_vti_log"
           || $randll_file == "_vti_pvt"
           || $randll_file == "_vti_txt"
           || $randll_file == "links"
           || $randll_file == "datas"
   	   || $randll_file == "$templatefoldername" 
   	   || $randll_file == ".htaccess" 
   	   || $randll_file == "Cgi Bin" 
   	   || $randll_file == "cgi-bin" 
   	   || $randll_file == "error" 
   	   || $randll_file == "stats" 
   	   || $randll_file == "phpinfo.php" 
   	   || $randll_file == "sitemap.php" 
   	   || $randll_file == "sitemap.xml" 
   	   || $randll_file == "robots.txt"
   	   || $randll_file == "text-links.txt"
   	   || $randll_file == "cache"
	|| $randll_file == "permalink.php"
|| $randll_file == "l1.php"
|| $randll_file == "l2.php"
|| $randll_file == "l3.php"
|| $randll_file == "l4.php"
|| $randll_file == "l5.php"
   	   ){
   		
   		echo "";
   	}
   	else{
   		$randll_numbers = array("0", "1", "2", "3", "4", "5", "6", "7", "8", "9");
   		$randll_file_name_0 = str_replace("_", " ", $randll_file);
   		$randll_file_name_1 = str_replace("page", "", $randll_file_name_0);
   		$randll_file_name_2 = str_replace ($randll_numbers, " ", $randll_file_name_1);
   		$randll_file_name_3 = str_replace(".php", " ", $randll_file_name_2);
   		$randll_file_name_4 = ucwords($randll_file_name_3); 
   		$randll_file_name = rtrim($randll_file_name_4); 
   		$randll_file = str_replace("", "/", $randll_file);
   	
          $randll_hreflist[] = "<a class=\"nav\" href=\"".$randll_file."\">$randll_file_name</a><span class=\"hide\"> | </span><br/>";
          
   	}
   }

   closedir($randll_handle);
   
$randll_nr1 = count($randll_hreflist);


   
for ($x = 0; $x < $nr_links; $x++) {    
	mt_srand((double)microtime()*1000000);
    $randll_RandomNumber = rand (1, count($randll_hreflist)-1);
    print($randll_hreflist[$randll_RandomNumber]);
}
   
}

?>
